> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atxp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Quickstart

> Get started with ATXP in minutes

# Quickstart

Get your first [ATXP](https://atxp.ai)-powered request working in minutes.

## Prerequisites

You need an ATXP connection string. Get one from:

* Your operator (if someone set up ATXP for you)
* [Create an ATXP account](https://accounts.atxp.ai) directly

Your connection string looks like:

```
https://accounts.atxp.ai?connection_token=<token>&account_id=<id>
```

## Option 1: LLM inference

Make a request to the LLM Gateway using any OpenAI-compatible client:

<Tabs>
  <Tab title="curl">
    ```bash theme={null}
    curl -X POST "https://llm.atxp.ai/v1/chat/completions" \
      -H "Authorization: Bearer $ATXP_CONNECTION" \
      -H "Content-Type: application/json" \
      -d '{
        "model": "gpt-4.1",
        "messages": [{"role": "user", "content": "What is 2+2?"}]
      }'
    ```
  </Tab>

  <Tab title="JavaScript">
    ```typescript theme={null}
    import { OpenAI } from 'openai';

    const client = new OpenAI({
      apiKey: process.env.ATXP_CONNECTION,
      baseURL: 'https://llm.atxp.ai/v1'
    });

    const response = await client.chat.completions.create({
      model: 'gpt-4.1',
      messages: [{ role: 'user', content: 'What is 2+2?' }]
    });

    console.log(response.choices[0].message.content);
    ```
  </Tab>

  <Tab title="Python">
    ```python theme={null}
    from openai import OpenAI
    import os

    client = OpenAI(
        api_key=os.environ.get("ATXP_CONNECTION"),
        base_url="https://llm.atxp.ai/v1"
    )

    response = client.chat.completions.create(
        model="gpt-4.1",
        messages=[{"role": "user", "content": "What is 2+2?"}]
    )

    print(response.choices[0].message.content)
    ```
  </Tab>
</Tabs>

## Option 2: Claude Code with ATXP tools

Install the ATXP plugin marketplace and use tools directly:

```text Claude Code theme={null}
/plugin marketplace add atxp-dev/claude
/setup <your-atxp-connection-string>
```

Then use tools naturally:

```text Claude Code theme={null}
Generate an image of a sunset over mountains
Search the web for the latest AI news
```

## Option 3: Direct MCP connection

Connect to ATXP MCP servers directly using the [@atxp/client](https://www.npmjs.com/package/@atxp/client) SDK:

```typescript theme={null}
import { atxpClient, ATXPAccount } from '@atxp/client';

const client = await atxpClient({
  mcpServer: 'https://search.mcp.atxp.ai/',
  account: new ATXPAccount(process.env.ATXP_CONNECTION),
});

const result = await client.callTool({
  name: 'atxp_search',
  arguments: { query: 'latest AI news' },
});

console.log(result.content[0].text);
```

## Next steps

<CardGroup cols={2}>
  <Card title="Account Portal" icon="user" href="https://accounts.atxp.ai">
    Log in to manage your ATXP account, view usage, and add funds.
  </Card>

  <Card title="LLM Gateway" icon="brain" href="/agents/llm-gateway">
    Learn about available models and advanced LLM Gateway features.
  </Card>

  <Card title="Available tools" icon="wrench" href="/tools">
    Browse the complete catalog of paid tools you can use.
  </Card>
</CardGroup>
